People registry
curl --request GET \
--url https://www.prometheus.services/api/v1/people \
--header 'X-API-KEY: <api-key>'import requests
url = "https://www.prometheus.services/api/v1/people"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://www.prometheus.services/api/v1/people', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"rows": [
{
"personCik": "0001588670",
"name": "Colette Kress",
"personType": "executive",
"secName": "Kress Colette",
"photoUrl": "/api/v1/people/0001588670/photo",
"primaryTicker": "NVDA",
"primaryCompanyName": "NVIDIA CORP",
"primaryTitle": "EVP & Chief Financial Officer",
"isOfficer": true,
"isDirector": false,
"isTenPercentOwner": false,
"companyCount": 1,
"tickers": [
"NVDA"
],
"firstFilingDate": "2013-10-09",
"lastFilingDate": "2026-06-23",
"isCurrent": true,
"sharesHeld": 4851271,
"positions": [
{
"ticker": "NVDA",
"shares": 4851271
}
],
"predictions": 78,
"verified": 78,
"hits": 40,
"hitRate": 0.5128205128205128,
"sufficient": true,
"avgAbsError": 0.039257602564102566,
"calls": 26,
"observations": 4084
},
{
"personCik": "0001197649",
"name": "Jen Hsun Huang",
"personType": "executive",
"secName": "HUANG JEN HSUN",
"photoUrl": "/api/v1/people/0001197649/photo",
"primaryTicker": "NVDA",
"primaryCompanyName": "NVIDIA CORP",
"primaryTitle": "President and CEO",
"isOfficer": true,
"isDirector": true,
"isTenPercentOwner": false,
"companyCount": 1,
"tickers": [
"NVDA"
],
"firstFilingDate": "2003-05-05",
"lastFilingDate": "2026-06-23",
"isCurrent": true,
"sharesHeld": 812004746,
"positions": [
{
"ticker": "NVDA",
"shares": 812004746
}
],
"predictions": 0,
"verified": 0,
"hits": 0,
"hitRate": null,
"sufficient": false,
"avgAbsError": null,
"calls": 13,
"observations": 1858
},
{
"personCik": "0001197647",
"name": "Tench Coxe",
"personType": "director",
"secName": "COXE TENCH",
"photoUrl": "/api/v1/people/0001197647/photo",
"primaryTicker": "NVDA",
"primaryCompanyName": "NVIDIA CORP",
"primaryTitle": null,
"isOfficer": false,
"isDirector": true,
"isTenPercentOwner": false,
"companyCount": 1,
"tickers": [
"NVDA"
],
"firstFilingDate": "2003-08-05",
"lastFilingDate": "2026-08-07",
"isCurrent": true,
"sharesHeld": 29581218,
"positions": [
{
"ticker": "NVDA",
"shares": 29581218
}
],
"predictions": 0,
"verified": 0,
"hits": 0,
"hitRate": null,
"sufficient": false,
"avgAbsError": null,
"calls": 0,
"observations": 0
}
],
"total": 22656,
"offset": 0,
"limit": 50,
"universe": {
"people": 22656,
"officers": 15013,
"directors": 10012,
"institutions": 2574,
"withScorecard": 21,
"speakers": 411
}
}{
"error": "<string>",
"code": "unauthenticated"
}{
"error": "<string>",
"code": "unauthenticated"
}{
"error": "<string>",
"code": "unauthenticated"
}{
"error": "<string>",
"code": "unauthenticated"
}Ownership & Insiders
People registry
People registry: executives and directors.
GET
/
api
/
v1
/
people
People registry
Authorizations
apiKeycognitoIdToken
Prometheus API key (pk_live_...), created on the Developers page in the terminal. Also accepted as Authorization: Bearer pk_live_....
Response
OK
The response is of type object.
⌘I